Skip to main content

General API Information

GET /spot/tickers

GET /spot/orderbook

  • Description: Get the order book for a specific trading pair.
Query parameters:

GET /spot/historical

  • Description: Get historical trades (or market snapshots, depending on API implementation).
Query parameters:

Perpetual API

  • GET /perpetual/contracts
  • Description: Get all available perpetual contract info.
Example request: GET https://cgk-api.crmclick.io/perpetual/contracts
  • Response example:

GET /perpetual/orderbook

  • Description: Get the order book for a specific perpetual contract.
  • Query parameters:

HTTP Return Codes

  • HTTP 4XX return codes are used for malformed requests; the issue is on the sender’s side.
  • HTTP 403 return code is used when the WAF Limit (Web Application Firewall) has been violated.
  • HTTP 409 return code is used when a cancelReplace order partially succeeds. (i.e. if the cancellation of the order fails but the new order placement succeeds.)
  • HTTP 429 return code is used when breaking a request rate limit.
  • HTTP 418 return code is used when an IP has been auto-banned for continuing to send requests after receiving 429 codes.
  • HTTP 5XX return codes are used for internal errors; the issue is on Binance’s side. It is important to NOT treat this as a failure operation; the execution status is UNKNOWN and could have been a success.

Error Codes

  • Any endpoint can return an ERROR
Sample Payload below:

General Information on Endpoints

  • For GET endpoints, parameters must be sent as a query string.
  • For POSTPUT, and DELETE endpoints, the parameters may be sent as a query string or in the request body with content type application/json. You may mix parameters between both the query string and request body if you wish to do so.
  • Parameters may be sent in any order.
  • If a parameter sent in both the query string and request body, the query string parameter will be used.